Add slow test to check nvm uninstall

Luke Childs 2016-04-17 22:23:56 +01:00
parent 005e29a223
commit 6fb528f4e4
3 changed files with 37 additions and 0 deletions

View File

@ -0,0 +1,28 @@
#!/bin/sh
die () { echo $@ ; exit 1; }
# Source nvm
. ../../../nvm.sh
# Version to install/uninstall
NVM_TEST_VERSION=0.12.6
# Make sure it's not already here
[ -e ../../../$NVM_TEST_VERSION ] && rm -R ../../../$NVM_TEST_VERSION
# Install it
nvm install $NVM_TEST_VERSION
# Make sure it installed
nvm ls | grep "$NVM_TEST_VERSION" || die "Failed to install node"
# Switch to another version so we can uninstall
nvm use 0.12.7
# Uninstall it
nvm uninstall $NVM_TEST_VERSION
# Make sure it uninstalled
nvm ls | grep "$NVM_TEST_VERSION"
[ "$?" != "0" ] || die "Failed to uninstall node"

View File

@ -0,0 +1,4 @@
#!/bin/sh
. ../../../nvm.sh
nvm install 0.12.7

View File

@ -0,0 +1,5 @@
#!/bin/sh
. ../../../nvm.sh
nvm uninstall 0.12.7
nvm deactivate